#ifndef _COMMON_
#define _COMMON_

#include <sys/types.h>
#include <sys/mman.h>
#include <sys/syscall.h>
#include "bud.h"

int print_entries(struct tagEntry* entry, int count);
int print_attributes(struct tagAttribute* attr, int count);

void init_log(void);
void uninit_log(void);
void dbg_log_imp(int level, const char *fmt, ...);

#ifdef _DEBUG
#define dbg_log dbg_log_imp
#else
#define dbg_log
#endif

#endif /*end #ifdef _COMMON_*/
